
### BUILD SWITCH QTBROWSER ###
ifeq ($(BUILD_QTBROWSER), 1)
BUILD_LIBEVENT_PATH   := external/libevent/src/bisyamon_build
BUILD_LIBEVENT_SCRIPT := build.sh
#### [BISYAMON-1455] dummy prebuild filses in libevent ####
## the BUILD_LIBEVENT_SO_OUTPUT_PATH defined in the build.sh file.
#BUILD_LIBEVENT_SO_OUTPUT_PATH := ../prebuilt/mt8590/release/lib
BUILD_LIBEVENT_SO_OUTPUT_PATH := prebuilt/mt8590/release/lib
#### [BISYAMON-1455] dummy prebuild filses in libevent ####
endif

BUILD_LIBEVENT_PATH   ?=
BUILD_LIBEVENT_SCRIPT ?=
BUILD_LIBEVENT_SO_OUTPUT_PATH ?=


############## INSTALL LIBS #######################################
ifneq ($(BUILD_LIBEVENT_SO_OUTPUT_PATH),)
ifeq ($(findstring clean,$(MAKECMDGOALS)),)
LOCAL_PATH := $(call my-dir)

define add_module_lib_
include $$(CLEAR_VARS)
LOCAL_MODULE := $(1)
LOCAL_SRC_FILES := $$(BUILD_LIBEVENT_SO_OUTPUT_PATH)/$$(LOCAL_MODULE)
LOCAL_MODULE_CLASS := SHARED_LIBRARIES
LOCAL_MODULE_PATH := $$(TARGET_OUT_SHARED_LIBRARIES)
include $$(BUILD_PREBUILT)
endef

libevent_libs_ :=
libevent_libs_ += libevent-2.0.so.5
libevent_libs_ += libevent_pthreads-2.0.so.5
libevent_libs_ += libevent_extra-2.0.so.5
libevent_libs_ += libevent_core-2.0.so.5

$(foreach m,$(libevent_libs_),$(eval $(call add_module_lib_,$(m))))
endif
endif

############## BUILD TARTGET ######################################
.PHONY: build-libevent-all build-libevent-clean build-libevent-distclean

all: build-libevent-all

clean: build-libevent-clean

distclean: build-libevent-distclean

build-libevent-all:
	@if [ ! $(BUILD_LIBEVENT_SCRIPT) = "" ]; then \
		echo '##' $(BUILD_LIBEVENT_PATH)/$(BUILD_LIBEVENT_SCRIPT) $@; \
		(cd $(BUILD_LIBEVENT_PATH); ./$(BUILD_LIBEVENT_SCRIPT)); \
	fi

build-libevent-clean:
	@if [ ! $(BUILD_LIBEVENT_SCRIPT) = "" ]; then \
		echo '##' $(BUILD_LIBEVENT_PATH)/$(BUILD_LIBEVENT_SCRIPT) $@; \
		(cd $(BUILD_LIBEVENT_PATH); ./$(BUILD_LIBEVENT_SCRIPT) clean); \
	fi

build-libevent-distclean:
	@if [ ! $(BUILD_LIBEVENT_SCRIPT) = "" ]; then \
		echo '##' $(BUILD_LIBEVENT_PATH)/$(BUILD_LIBEVENT_SCRIPT) $@; \
		(cd $(BUILD_LIBEVENT_PATH); ./$(BUILD_LIBEVENT_SCRIPT) distclean); \
	fi

%:

